/**
 * @file main.c
 * @author Mephisto
 * @brief test program
 */

#include "dynlist.h"
#include <stdio.h>
#include <string.h>

#define NUM	30	
typedef struct {
	int alpha;
	char beta[128];
}data;

int isbigger(void *first, void *second) {
	if( ((data*)first)->alpha > ((data*)second)->alpha )
		return 1;
	else
		return 0;
}

void print_data(dynlist list) {
	int i;
	data *pdata;

	for(i=0; i<getlen(list); ++i) {
		pdata=getitem(&list, i);
		if(pdata)
			printf("(%3d, %10s)\n", pdata->alpha, pdata->beta);
	}
}

void print_array(data *array, int len) {
	int i;

	for(i=0; i<len; ++i)
		printf("(%3d, %10s)\n", array[i].alpha, array[i].beta);
}

int main() {
	data *temp;
	int i;
	dynlist(list, data);

	temp=newitem(&list);
	temp->alpha=25;
	sprintf(temp->beta, "Carlo");

	temp=newitem(&list);
	temp->alpha=23;
	sprintf(temp->beta, "Marco");

	temp=newitem(&list);
	temp->alpha=22;
	sprintf(temp->beta, "Kristy");

	puts("list: ");
	print_data(list);

	puts("sorted: ");
	sortlist(&list, isbigger);
	print_data(list);
	
	clearlist(&list);
	return 0;
}
